Plantronics + Polycom. Now together as Poly Logo

soundstation 7000 software upgrade problem

Occasional Advisor

soundstation 7000 software upgrade problem

Dear Sir,

 

We cannot make software upgrade on Soundstation 7000. We tried below 2 release.

 

1.  Polycom ® UC Software 4.0.2B for SoundPoint IP, SoundStation IP, Polycom VVX and SpectraLink 8400 Se...

 

"Peer returns ERROR <Disk full> -> aborting transfer " this error returned on tftp log while transfering sip.ld to phone. But below boot log created.

 

1218111052|cfg |3|00|New load header information:
1218111052|cfg |3|00|Code length: 0x02E0F980
1218111052|cfg |3|00|Header check Sum: 0x3A06C0EF
1218111052|cfg |3|00|Code check Sum: 0x3725C63F
1218111052|cfg |3|00|Options: 0x00000080
1218111053|cfg |5|00|Error: file does not contain a compatible image
1218111053|cfg |5|00| Compatiblity for image 0 is 0x411555
1218111053|cfg |5|00| Compatiblity for image 1 is 0x400000
1218111053|cfg |5|00| Compatiblity for image 2 is 0x411555
1218111053|cfg |5|00| Compatiblity for image 3 is 0x411555
1218111053|cfg |5|00| Compatiblity for image 4 is 0x411450
1218111053|cfg |5|00| Compatiblity for image 5 is 0x411550
1218111053|cfg |5|00| Compatiblity for image 6 is 0x411555
1218111053|cfg |5|00| Compatiblity for image 7 is 0x411555
1218111053|cfg |5|00| Compatiblity for image 8 is 0x422555
1218111053|cfg |5|00| Compatiblity for image 9 is 0x411555
1218111053|cfg |5|00| Compatiblity for image 10 is 0x421555
1218111053|copy |3|00|buffered_write: transfer terminated
1218111053|copy |5|00|tftp from 192.168.123.98 failed;
1218111053|copy |3|00|Download of 'sip.ld' succeeded on attempt 1 (addr 1 of 1)
1218111053|cfg |3|00|Downloaded application image is incompatible
1218111053|app1 |4|00|Application sip.ld is not compatible with the phone.
1218111056|cfg |3|00|Application image not found in file system
1218111058|app1 |6|00|Error application is not present.

 

 

 

2. Polycom ® UC Software 4.0.2B for SoundPoint IP, SoundStation IP and Polycom VVX and SpectraLink 8400...

 

Below boot log created when using this release for upgrade.

 

1218110724|copy |3|00|'tftp://192.168.123.98/3111-40000-001.sip.ld' from '192.168.123.98'
1218110724|cfg |3|00|New load header information:
1218110724|cfg |3|00|Code length: 0x00AFD546
1218110724|cfg |3|00|Header check Sum: 0x80CFD776
1218110724|cfg |3|00|Code check Sum: 0x5798FED0
1218110724|cfg |3|00|Options: 0x00000102
1218110724|cfg |5|00|Error: file does not contain a compatible image
1218110724|cfg |5|00| Compatiblity for image 0 is 0x400000
1218110724|copy |3|00|buffered_write: transfer terminated
1218110724|copy |5|00|tftp from 192.168.123.98 failed;
1218110724|copy |3|00|Download of '3111-40000-001.sip.ld' succeeded on attempt 1 (addr 1 of 1)
1218110724|cfg |3|00|Downloaded application image is incompatible
1218110724|app1 |4|00|Application 3111-40000-001.sip.ld is not compatible with the phone.
1218110727|cfg |3|00|Application image not found in file system
1218110729|app1 |6|00|Error application is not present.

 

 

Sorry for my bad english. Can you please advice how to solve these problems?

 

BR,

Ganzorig Boldbaatar

 

 

Message 1 of 13
12 REPLIES 12
Polycom Employee & Community Manager

Re: soundstation 7000 software upgrade problem

Hello Ganzorig,

welcome to the Polycom Community.

When you download the UCS 4.0.x Software the following disclaimer appears and needs to be accepted by yourself in order to download the software:

 

READ THESE NOTICES BEFORE ACCEPTING THE DOWNLOAD OF POLYCOM® UC SOFTWARE 4.0.x:

 

1) Before you can successfully install UC Software 4.0.x onto phones running Polycom® UCS released prior to version 4.0.0, you must perform a required upgrade procedure using the Polycom® Upgrader 4.0.0 Utility.

Before you download and install Polycom® UC Software version 4.0.x or higher, Polycom strongly recommends that you review the changes to the upgrade procedures detailed in the Polycom® UC Software 4.0.0 Administrators’ Guide or newer and Engineering Advisory 64731 Polycom® UC Software 4.0.0: Upgrade and Downgrade Methods.

 

2) With the release of UCS 3.3.0, the configuration files, their respective parameters and defaults, as well as the provisioning methods have been simplified and also extensively modified in comparison to prior releases. THESE CHANGES ARE NOT BACKWARD-COMPATIBLE with configuration parameters used in previous software releases. Before downloading and installing the software, Polycom strongly recommends that you become familiar with the changes described in the Administrator’s Guide for the Polycom® UC Software – 3.3.0 or newer and Technical Bulletin 60519 Simplified Configuration Improvements in Polycom® UC Software 3.3.0.

 

3) Use of the Software is subject to the terms and conditions of the End User License Agreement that accompanied the Polycom Product.

 


 

Above clearly states:

 

Before you download and install Polycom® UC Software version 4.0.x or higher, Polycom strongly recommends that you review the changes to the upgrade procedures detailed in the Polycom® UC Software 4.0.0 Administrators’ Guide or newer and Engineering Advisory 64731 Polycom® UC Software 4.0.0: Upgrade and Downgrade Methods.

 

The link to the Engineering advisory 64731 outlines that in order to update the phone you need to follow the guidance on page 3.

 

You simply are missing the upgrader / updater when trying to upgrade your phone.


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 2 of 13
Occasional Advisor

Re: soundstation 7000 software upgrade problem

Dear Sir,

 

Thank for reply.

 

I followed page3 from Engineering Advisory 64731 Polycom® UC Software 4.0.0: Upgrade and Downgrade Methods. guide.  

Donwloaded latest bootrom.ld files and copied to tfpt provisioning folder. On the phone screen "Updating bootrom" and then 'formating file system'. After that below error appeared. 

 

000014.676|cfg |4|00|Prov|File 3111-40000-001.sip.ld was not compatible with the phone
000014.681|app1 |4|00|Image is not compatible with the phone.
000014.681|cfg |4|00|Prov|Provisioning failed
000019.687|app1 |6|00|Error application is not present.

 

I think i upgraded bootrom. But why UC software incompatible?

 

BR,

Ganzorig Boldbaatar

Message 3 of 13
Polycom Employee & Community Manager

Re: soundstation 7000 software upgrade problem

Hello Ganzorig,

 

the advise states:

 

BootROM 4.4.0 B Upgrader and UC Software 4.0.1

 

So use => this <= and => this <= an drop it unzipped into your TFTP Directory.

 

Above will upgrade your phone.

 

Best Regards

 

Steffen Baier




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 4 of 13
Occasional Advisor

Re: soundstation 7000 software upgrade problem

Dear Sir, 

 

Downloaded these 2 files and tried to upgrade but still returned image incompitable error. Below is my current ip7000 information.

 

Phone Information

Phone Model                               SoundStation IP 7000

Part Number                               3111-40000-001 Rev. 1

MAC Address                              00:04:F2:ED:AA:B9

IP Address                                  192.168.123.208

SIP Software Version                3.3.4.0085

BootROM Software Version     4.3.1.0440

 

 I attached log file.

 

BR,

Ganzorig Boldbaatar

Polycom Employee & Community Manager

Re: soundstation 7000 software upgrade problem

Hello Ganzorig,

 

something is not right with your provisioning server or you are not following the document / my advice.

 

Use a empty blank directory and place the two files unzipped into this and point your server to this directory.

 

As you are not familiar with the provisioning DO NOT TOUCH ANY FILES /DO NOT ADD ANY OTHER FILES !!!

 

I can see in your log (which is incomplete) that the phone is attempting to load the sip.cfg for example. 

 

If you have downloaded the software from above and would provision the phone as advised the phone would not do this.

 

If you still struggle with this simple procedure please work with your Polycom reseller.

 

Best Regards

 

Steffen Baier




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 6 of 13
Occasional Advisor

Re: soundstation 7000 software upgrade problem

Wow what a word for insult customer. It's shame that such great product support gave that response. Anyway thank you for time, sorry for wasted your precious time.

Message 7 of 13
Polycom Employee & Community Manager

Re: soundstation 7000 software upgrade problem

Hello Ganzorig,

 

I am unsure where you felt insulted in my reply as I can assure you that this is not the case.

 

The Software update process may be seen difficult by an untrained end customer and my reply and advise is aimed at your own convenience without having to spend to many unsuccessful attempts to update the unit.

 

It is a very simple process if the documentation is followed but in your case can go wrong if the incorrect files or modified files are used.

 

In addition I want to make you aware that this community is not a support forum and the official Polycom support process should be followed by end customers. This is documented => here <= and within the VoIP FAQ => here <=

 

There are already plenty of same post's going over the upgrade process that may be useful for you.

 

Again I can assure you that my reply was not meant to insult you and if you are really stuck please follow this up with your Polycom reseller.

 

Best Regards

 

Steffen Baier




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 8 of 13
Occasional Visitor

Re: soundstation 7000 software upgrade problem

I'm having the same issue.

I've followed the instructions to the letter and still the phone isn't updating.

 

Currently the status of the phone is the following:

SIP Software Version 3.3.2.0413
BootROM Software Version 4.3.1.0440

 

If I try to update the SIP software to 4.0.8 I keep getting Image is not compatible with the phone.

 

I get the same error both with the combined and the split versions.

 

I've attached the bootlog.

Polycom Employee & Community Manager

Re: soundstation 7000 software upgrade problem

Hello Rici,

welcome to the Polycom Community.

As already explained years ago to the original poster you must follow the instructions provided.

 

Looking at your log I see as follows:

 

000022.048|copy |3|00|'ftp://polycom:****@109.168.122.194/3111-40000-001.bootrom.ld' from '109.168.122.194'
000022.144|cfg  |*|00|Prov|Starting to update 3111-40000-001.bootrom.ld
000022.147|cfg  |3|00|Image 3111-40000-001.bootrom.ld has not changed

The above means you did not follow the instructions and downloaded as advised the additional Updater / Upgrader.

 

This causes later on:

 

000022.464|copy |3|00|'ftp://polycom:****@109.168.122.194/3111-40000-001.sip.ld' from '109.168.122.194'
000022.541|cfg  |3|00|New load header information:
000022.541|cfg  |3|00|Code length:         0x00AE85EF
000022.541|cfg  |3|00|Header check Sum:    0x80CE881F
000022.541|cfg  |3|00|Code check Sum:      0x56EE2E70
000022.541|cfg  |3|00|Options:             0x00000102
000022.667|cfg  |5|00|Error: file does not contain a compatible image

If the Upgrader / Updater was not downloaded as advised the Phone is not able to download and install the new software.


The community's VoIP FAQ contains this post here:

Oct 7, 2011 Question: How can I setup my Phone / Provisioning / Download / Upgrade / Update / Downgrade Software?
Resolution: Please check => here <=

The above, in addition to the disclaimer, states in detail how to upgrade the phone.

 

The Upgrade is a super simple process if the instructions are followed.

 

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 10 of 13